Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.archive
Class FileArchiveReader

    java.lang.Object
      org.eclipse.birt.core.archive.compound.ArchiveReader
          org.eclipse.birt.core.archive.FileArchiveReader

All Implemented Interfaces:
  IDocArchiveReader

    public class FileArchiveReader

extends ArchiveReader

file based archive reader. It reads multiple streams from a single physical file. the file is created by FileArchiveWriter.

Field Summary

Fields inherited from class org.eclipse.birt.core.archive.compound.ArchiveReader
`archive, shareArchive`

Constructor Summary
`FileArchiveReader(java.lang.String fileName)`

Method Summary
`void` | `expandFileArchive(java.lang.String folderArchiveName)` Explode the existing compound file archive to a folder that contains corresponding files in it.

Methods inherited from class org.eclipse.birt.core.archive.compound.ArchiveReader
`close, exists, getArchive, getInputStream, getName, getStream, listAllStreams, listStreams, lock, open, unlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileArchiveReader

    public FileArchiveReader(java.lang.String fileName)
                      throws java.io.IOException

Parameters:
  `fileName` - - the absolute name of the file archive
Throws:
  `java.io.IOException`

Method Detail

### expandFileArchive

    public void expandFileArchive(java.lang.String folderArchiveName)
                           throws java.io.IOException

  Explode the existing compound file archive to a folder that contains corresponding files in it. NOTE: The original file archive will NOT be deleted. However, if the specified folder archive exists already, its old content will be totally erased first.

  Parameters:
    `folderArchiveName` - - the name of the folder archive.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.